=== debian/changelog ===
libwebm (1.0.0.27+git20201124.485fb67-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Feb 2021 11:30:58 -0800

libwebm (1.0.0.27+git20201124.485fb67-2) unstable; urgency=medium

  * Remove duplicated inclusion of -lpthread and -latomic
  * Bump copyright year
  * Upload to unstable.

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Jan 2021 20:25:40 +0000

libwebm (1.0.0.27+git20201124.485fb67-1) experimental; urgency=medium

  * Initial upload (Closes: #977760)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 10 Jan 2021 16:55:33 +0100
