=== debian/watch ===
version=4

# Bare git branch
opts="mode=git, \
      pgpmode=none, \
      pretty=1.0.0.27+git%cd.%h, \
      compression=xz, \
      dversionmangle=auto" \
https://chromium.googlesource.com/webm/libwebm \
HEAD debian
