## libwebm 1.0.0.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,8 @@
 option(ENABLE_WERROR "Enable warnings as errors." OFF)
 option(ENABLE_WEBM_PARSER "Enables new parser API." OFF)
 
-if(WIN32)
+if(WIN32 OR CYGWIN OR MSYS)
+  # Allow use of rand_r() / fdopen() and other POSIX functions.
   require_cxx_flag_nomsvc("-std=gnu++11")
 else()
   require_cxx_flag_nomsvc("-std=c++11")
@@ -247,4 +248,3 @@
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_element_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/info_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/int_parser_test.cc"
