=== debian/changelog ===
libwebm (1.0.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.0.28
  * Switch to git tags in d/watch
  * Bump library version in patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 21:47:39 +0000
