=== debian/control ===
Source: libwebm
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libgmock-dev (>= 1.10),
 libgtest-dev (>= 1.10),
 pkg-config,
 python3
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://chromium.googlesource.com/webm/libwebm
Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libwebm

Package: libwebm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WebM parser library
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.

Package: libwebm-tools
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WebM parser library (binary tools)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs tools: webm_info, vttdemux etc.

Package: libwebm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebm1 (= ${binary:Version}),
         ${misc:Depends}
Description: WebM parser library (development files)
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.
 .
 This package installs only files needed for development:
 header, libraries.
