=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,3 @@
 		./webm2pes_tests && \
 		./webm_parser_tests && \
 		unset LIBWEBM_TEST_DATA_PATH
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
