## libwebm 1.0.0.29

=== debian/changelog ===
libwebm (1.0.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.0.29
  * Bump Standards version to 4.6.1 - no changes required
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Nov 2022 22:00:54 +0000
