=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgtest-dev (>= 1.10),
  pkg-config,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://chromium.googlesource.com/webm/libwebm
 Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
