## libwebm 1.0.0.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,21 @@
-##  Copyright (c) 2015 The WebM project authors. All Rights Reserved.
-##
-##  Use of this source code is governed by a BSD-style license
-##  that can be found in the LICENSE file in the root of the source
-##  tree. An additional intellectual property rights grant can be found
-##  in the file PATENTS.  All contributing project authors may
-##  be found in the AUTHORS file in the root of the source tree.
+#  Copyright (c) 2015 The WebM project authors. All Rights Reserved.
+#
+#  Use of this source code is governed by a BSD-style license
+#  that can be found in the LICENSE file in the root of the source
+#  tree. An additional intellectual property rights grant can be found
+#  in the file PATENTS.  All contributing project authors may
+#  be found in the AUTHORS file in the root of the source tree.
 cmake_minimum_required(VERSION 3.2)
 project(LIBWEBM CXX)
 
 include(GNUInstallDirs)
 include("${CMAKE_CURRENT_SOURCE_DIR}/build/cxx_flags.cmake")
 
-if (NOT BUILD_SHARED_LIBS)
+if(BUILD_SHARED_LIBS)
+  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+else()
   include("${CMAKE_CURRENT_SOURCE_DIR}/build/msvc_runtime.cmake")
-endif ()
+endif()
 
 set(LIBWEBM_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
 
@@ -24,8 +26,11 @@
 option(ENABLE_IWYU "Enables include-what-you-use support." OFF)
 option(ENABLE_WERROR "Enable warnings as errors." OFF)
 option(ENABLE_WEBM_PARSER "Enables new parser API." OFF)
-
-if(WIN32 OR CYGWIN OR MSYS)
+option(ENABLE_SAMPLE_PROGRAMS "Enables building sample programs." ON)
+
+if(WIN32
+   OR CYGWIN
+   OR MSYS)
   # Allow use of rand_r() / fdopen() and other POSIX functions.
   require_cxx_flag_nomsvc("-std=gnu++11")
 else()
@@ -39,42 +44,51 @@
 # Set up compiler flags and build properties.
 include_directories("${LIBWEBM_SRC_DIR}")
 
-if (MSVC)
+if(MSVC)
+  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
   add_cxx_flag_if_supported("/W4")
   # Disable MSVC warnings that suggest making code non-portable.
   add_cxx_flag_if_supported("/wd4996")
-  if (ENABLE_WERROR)
+  if(ENABLE_WERROR)
     add_cxx_flag_if_supported("/WX")
-  endif ()
-else ()
+  endif()
+else()
   add_cxx_flag_if_supported("-Wall")
+  add_cxx_flag_if_supported("-Wc++14-compat")
+  add_cxx_flag_if_supported("-Wc++17-compat")
+  add_cxx_flag_if_supported("-Wc++20-compat")
   add_cxx_flag_if_supported("-Wextra")
   add_cxx_flag_if_supported("-Wnarrowing")
   add_cxx_flag_if_supported("-Wno-deprecated")
   add_cxx_flag_if_supported("-Wshorten-64-to-32")
-  if (ENABLE_WERROR)
+  if(ENABLE_WERROR)
     add_cxx_flag_if_supported("-Werror")
-  endif ()
-endif ()
+  endif()
+endif()
 
 # Source list variables.
 set(dumpvtt_sources "${LIBWEBM_SRC_DIR}/dumpvtt.cc")
 
+set(libwebm_common_public_headers "${LIBWEBM_SRC_DIR}/common/webmids.h")
+
 set(libwebm_common_sources
+    ${libwebm_common_public_headers}
     "${LIBWEBM_SRC_DIR}/common/file_util.cc"
     "${LIBWEBM_SRC_DIR}/common/file_util.h"
     "${LIBWEBM_SRC_DIR}/common/hdr_util.cc"
-    "${LIBWEBM_SRC_DIR}/common/hdr_util.h"
-    "${LIBWEBM_SRC_DIR}/common/webmids.h")
-
-set(mkvmuxer_sources
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.cc"
+    "${LIBWEBM_SRC_DIR}/common/hdr_util.h")
+
+set(mkvmuxer_public_headers
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.h"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxertypes.h"
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.h"
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.h")
+
+set(mkvmuxer_sources
+    ${mkvmuxer_public_headers}
+    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxer.cc"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.cc"
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvmuxerutil.h"
     "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.cc"
-    "${LIBWEBM_SRC_DIR}/mkvmuxer/mkvwriter.h"
     "${LIBWEBM_SRC_DIR}/common/webmids.h")
 
 set(mkvmuxer_sample_sources
@@ -87,11 +101,12 @@
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
 
+set(mkvparser_public_headers "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.h"
+                             "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.h")
+
 set(mkvparser_sources
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.cc"
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.h"
+    ${mkvparser_public_headers} "${LIBWEBM_SRC_DIR}/mkvparser/mkvparser.cc"
     "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.cc"
-    "${LIBWEBM_SRC_DIR}/mkvparser/mkvreader.h"
     "${LIBWEBM_SRC_DIR}/common/webmids.h")
 
 set(mkvparser_sample_sources "${LIBWEBM_SRC_DIR}/mkvparser_sample.cc")
@@ -115,11 +130,6 @@
     "${LIBWEBM_SRC_DIR}/common/vp9_level_stats.h"
     "${LIBWEBM_SRC_DIR}/testing/test_util.cc"
     "${LIBWEBM_SRC_DIR}/testing/test_util.h")
-
-set(vttdemux_sources
-    "${LIBWEBM_SRC_DIR}/vttdemux.cc"
-    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.cc"
-    "${LIBWEBM_SRC_DIR}/webvtt/webvttparser.h")
 
 set(webm_parser_public_headers
     "${LIBWEBM_SRC_DIR}/webm_parser/include/webm/buffer_reader.h"
@@ -242,9 +252,3 @@
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/cues_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/date_parser_test.cc"
     "${LIBWEBM_SRC_DIR}/webm_parser/tests/ebml_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/edition_entry_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/element_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/float_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_element_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/id_parser_test.cc"
-    "${LIBWEBM_SRC_DIR}/webm_parser/tests/info_parser_test.cc"
