## libwebm 1.0.0.31

=== debian/changelog ===
libwebm (1.0.0.31-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:48:06 +0200

libwebm (1.0.0.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0.31.
    + Fixes test failures on big-endian architecture.
  * debian/patches/: Drop patch 0005-0008, merged upstream.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Oct 2023 15:15:48 -0400
