=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libwebm
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libgmock-dev (>= 1.10),
- libgtest-dev (>= 1.10),
+ libgmock-dev (>= 1.10) <!nocheck>,
+ libgtest-dev (>= 1.10) <!nocheck>,
  pkg-config,
- python3
-Standards-Version: 4.6.1
+ python3,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://chromium.googlesource.com/webm/libwebm
 Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
