=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,14 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
+	dh_auto_configure -- \
+            -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=ON \
-            -DENABLE_IWYU=ON \
+            -DENABLE_SAMPLE_PROGRAMS=ON \
+            -DENABLE_IWYU=OFF \
             -DENABLE_WEBM_PARSER=ON \
             ${CONFIGURE_OPTS} \
-            -DUSE_LTO=1
+            $(NULL)
 
 override_dh_auto_test:
 	cd obj-$(DEB_HOST_GNU_TYPE) && \
