=== debian/changelog ===
libwebm (1.0.0.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0.32.
  * debian/patches: Refresh patches.
  * debian/rules: Explicitly set ENABLE_TESTS to ON or OFF.
  * debian/tests/: Rewrite autopkgtest with a more reasonable setup.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Aug 2025 21:35:09 -0400
