=== debian/control ===
Source: libwebm
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.16),
 libgmock-dev (>= 1.10) <!nocheck>,
 libgtest-dev (>= 1.10) <!nocheck>,
 pkgconf,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://chromium.googlesource.com/webm/libwebm
Vcs-Git: https://salsa.debian.org/multimedia-team/libwebm.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libwebm
Description: WebM parser library
 This library provides WebM parser and related tools. It is
 developed by Google as part of Chromium project, but can be
 used in other projects.

Package: libwebm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libwebm-tools
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (binary tools)
 ${source:Extended-Description}
 .
 This package installs tools: webm_info, vttdemux etc.

Package: libwebm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebm1 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package installs only files needed for development:
 header, libraries.
