=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_OPTS := -DENABLE_TESTS=ON
+else
+	CONFIGURE_OPTS := -DENABLE_TESTS=OFF
 endif
 
 %:
