=== debian/tests/control ===
Tests: system-libwebm
Depends: build-essential, libwebm-dev, libgtest-dev, libgmock-dev, cmake
Restrictions: allow-stderr
